[GStreamer] remove legacy GStreamer version checks
authorphiln@webkit.org <philn@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 12 Mar 2019 10:25:03 +0000 (10:25 +0000)
committerphiln@webkit.org <philn@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 12 Mar 2019 10:25:03 +0000 (10:25 +0000)
https://bugs.webkit.org/show_bug.cgi?id=195552

Reviewed by Xabier Rodriguez-Calvar.

We require GStreamer 1.8.x so version checks below that make
little sense. Also checks for odd minor version numbers make sense
only for the latest GStreamer git development version.

* platform/graphics/gstreamer/GStreamerCommon.cpp:
(WebCore::initializeGStreamerAndRegisterWebKitElements):
* platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:
(WebCore::MediaPlayerPrivateGStreamer::createAudioSink):
(WebCore::MediaPlayerPrivateGStreamer::createGSTPlayBin):
* platform/graphics/gstreamer/MediaPlayerPrivateGStreamerBase.cpp:
(WebCore::MediaPlayerPrivateGStreamerBase::ensureGstGLContext):

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@242789 268f45cc-cd09-0410-ab3c-d52691b4dbfc


No differences found